Bug 1674884 - firefox: FTBFS in Fedora rawhide/f31
Summary: firefox: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:11 UTC by Fedora Release Engineering
Modified: 2019-03-25 15:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-25 15:20:27 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:11 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:11 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 17:11 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:11:48 UTC
firefox failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32383565


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix firefox at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
firefox will be orphaned. Before branching of Fedora 31,
firefox will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:11:53 UTC
Created attachment 1529930 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:11:55 UTC
Created attachment 1529931 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:11:56 UTC
Created attachment 1529932 [details]
state.log

Comment 4 Jan Pokorný [poki] 2019-03-21 08:29:32 UTC
Was wondering why Rawhide is effectively 2 major releases behind.

The problem seems to be:

> 4:20.54 In file included from /builddir/build/BUILD/firefox-66.0/objdir/js/src/Unified_cpp_js_src10.cpp:2:
> 4:20.54 /builddir/build/BUILD/firefox-66.0/js/src/util/NativeStack.cpp:28:14: error: 'pid_t gettid()' was declared 'extern' and later 'static' [-fpermissive]
> 4:20.54    28 | static pid_t gettid() { return syscall(__NR_gettid); }
> 4:20.54       |              ^~~~~~
> 4:20.54 In file included from /usr/include/unistd.h:1170,
> 4:20.54                  from /builddir/build/BUILD/firefox-66.0/objdir/dist/system_wrappers/unistd.h:3,
> 4:20.54                  from /builddir/build/BUILD/firefox-66.0/js/src/util/NativeStack.cpp:27,
> 4:20.54                  from /builddir/build/BUILD/firefox-66.0/objdir/js/src/Unified_cpp_js_src10.cpp:2:
> 4:20.54 /usr/include/bits/unistd_ext.h:34:16: note: previous declaration of '__pid_t gettid()'
> 4:20.54    34 | extern __pid_t gettid (void) __THROW;
> 4:20.54       |                ^~~~~~

per https://kojipkgs.fedoraproject.org//work/tasks/2420/33652420/build.log
from buildArch (firefox-66.0-7.test.fc31.src.rpm, x86_64) task.

Also looks like at least v65 is available as an update for the stable
Fedora, which violates the principle of monotonicity, which is perhaps
just not enforced anymore.

Comment 5 Antonio 2019-03-21 19:02:43 UTC
This patch looks fix the error on f31 (it worked for IceCat): https://hg.mozilla.org/mozilla-central/rev/7b85bf9c5210
Mozilla bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1533969

Comment 6 Martin Stransky 2019-03-21 21:29:29 UTC
Great, thanks a lot.

Comment 7 Martin Stransky 2019-03-25 15:20:27 UTC
Fixed with the provided patch, Thanks.

Comment 8 Jan Pokorný [poki] 2019-03-25 15:48:28 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.